## Bsoft program

# bfile

### Usage: bfile [options] infile [outfile]

Examines and modifies binary files.

### Actions:

-blocks | Character value blocks (16 per line).
-hexadecimal | Character hexadecimal value blocks (16 per line).
-characters | Character blocks (64 per line).
-format bbsif | Output formatted according to a sequence of data types.
-find astring | Find the given string.
-poke 3124,20.4,f | Poking at a location a value of a specific data type.
-replace "\n,\r" | Replace all occurrences of the first string by the second.

### Parameters:

-verbose 1 | Verbosity of output.
-bytes 128 | Number of bytes to read (default 64).
-start 646 | Starting position to read from (default 0).
-reverse 2 | Reverse byte order for (2) bytes.
-VAX | Convert VAX floating point numbers.
| Data types:
| b: byte or unsigned char (1 byte)
| c: signed char (1 byte)
| u: word or unsigned short (2 bytes)
| s: short (2 bytes)
| j: unsigned integer (4 bytes)
| i: integer (4 bytes)
| f: float (4 bytes)
| d: double (8 bytes)

Bsoft version 2.0.3-20180917 (64 bit)